# $Revision: 1.12 $, $Date: 2012/01/13 18:51:55 $
Summary:	POSIX-compliant implementation of /bin/sh
Summary(pl.UTF-8):	Zgodna z POSIX implementacja /bin/sh
Name:		dash
Version:	0.5.7
Release:	1
License:	GPL v2+
Group:		Applications/Shells
Source0:	http://gondor.apana.org.au/~herbert/dash/files/%{name}-%{version}.tar.gz
# Source0-md5:	f6cedb10ae7258adb5ab17a10ae80d51
URL:		http://gondor.apana.org.au/~herbert/dash/
Requires(post):	grep
Requires(preun):	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir			/bin
%define		_shell			%{_bindir}/%{name}

%description
DASH is a POSIX-compliant implementation of /bin/sh that aims to be as
small as possible. It does this without sacrificing speed where
possible. In fact, it is significantly faster than bash (the GNU
Bourne-Again SHell) for most tasks.

DASH is a direct descendant of the NetBSD version of ash (the Almquist
SHell)

%description -l pl.UTF-8
DASH to zgodna z POSIX implementacja /bin/sh, której celem jest jak
najmniejszy rozmiar. Dokonano tego bez poświęcania szybkości jeśli to
możliwe. W rzeczywistości jest dash jest znacząco szybszy od basha
(GNU Bourne-Again SHell) przy większości zadań.

DASH to bezpośredni następca wersji NetBSD asha (powłoki Almquist
SHell).

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p %add_etc_shells -p /bin/dash
%preun  -p %remove_etc_shells -p /bin/dash

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dash
%{_mandir}/man1/dash.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dash.spec,v $
Revision 1.12  2012/01/13 18:51:55  zbyniu
- up to 0.5.7

Revision 1.11  2011/05/18 15:11:30  draenog
- up to 0.5.6.1

Revision 1.10  2009/08/30 13:34:12  cactus
- up to 0.5.5.1; drop debian patch

Revision 1.9  2008/05/09 17:24:31  qboosh
- unified

Revision 1.8  2008-05-08 07:30:34  arekm
- rel 2; upstream fixes that are in debian patch

Revision 1.7  2007/09/02 12:58:16  arekm
- up to 0.5.4

Revision 1.6  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.4  2006/06/03 18:35:07  qboosh
- pl

Revision 1.3  2006/05/31 23:09:38  glen
- scriptlet deps

Revision 1.2  2006/05/31 23:02:35  glen
- avoid copy-pastos

Revision 1.1  2006/05/31 23:00:42  glen
- new
